Subject: Re: [lojban] Re: (C)V'{i|u}V

From: John Cowan <[email-masked]>
Date: Mon, 13 Aug 2001 07:52:48 -0400 (EDT)

Richard Curnow scripsit:

> From this I infer that the sequence "e,a" is treated as "ea" from the
> perspective of legality checking and for determining word type, but it
> would be pronounced as though it were "e'a".

*May* be pronounced so.

> Also, you imply that all
> 25 vowel pairs can occur in fu'ivla and cmene, with there being an
> implied "," inside non-diphthongs.

I can't seem to find a definite ruling in the Book or elsewhere about
the legality of random vowel pairs in fu'ivla. Cmene, yes, for
sure.

Lojbab?

> So we'd have
> 
> ai, au, ei, oi :
> valid in all words
> 
> ia, ie, ii, io, iu, ua, ue, ui, uo, uu :
> valid as stand-alone cmavo, in fu'ivla and in cmene
> 
> aa, ae, ao, ea, ee, eo, eu, oa, oe, oo, ou :
> valid in fu'ivla and cmene (with presence of "," implied)
> 
> iu, uy :
> valid only in cmene

Yes, unless the 3rd group should be treated like the 4th after all.

> In all cases, a comma between vowels must effectively
> be discarded prior to legality checking and word type determination.

Yes: commas never make a difference.

> At the moment, I think jbofihe/vlatai ignore commas appearing between
> vowels and consonants. Is that the correct handling?

Yes, and likewise between two consonants ("bang,r,blgaria", e.g.).

> The algorithm in jbofihe/vlatai v0.37 is inconsistent with John's other mail
> about "ci,e", since it treats this as a cmavo. Once the handling of
> commas is agreed, I'll generate a patch to fix this.

Yes, that's definitely an error.

-- 
John Cowan [email-masked]
One art/there is/no less/no more/All things/to do/with sparks/galore
--Douglas Hofstadter